org.licas.ws.soap

## Class SoapMessage

- java.lang.Object
- - org.licas.ws.soap.SoapMessage

-     public class SoapMessage
      extends java.lang.Object

  This class creates the soap message that can be used to call a web service. A version of this class was used previously on the Icons project at UU.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoapMessage()` Creates a new instance of SoapMessage.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `constructSoapMessage(javax.xml.soap.SOAPEnvelope envelope, javax.xml.soap.SOAPBody body, java.util.ArrayList parameters, java.lang.String operation, java.lang.String targetUri, WsMethodInfo wsInfo)` Create and add the soap body elements to the soap body.
    `void` | `createBodyElements(javax.xml.soap.SOAPEnvelope envelope, javax.xml.soap.SOAPBody body, WsdlParamInfo parameter, java.lang.String targetUri)` Create and add the soap body elements to the soap body.
    `void` | `createHeaderElements(javax.xml.soap.SOAPEnvelope envelope, java.util.ArrayList parameters, java.lang.String targetUri)` Add header information to the message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SoapMessage

          public SoapMessage()

      Creates a new instance of SoapMessage.

  - ### Method Detail

    - #### constructSoapMessage

          public void constructSoapMessage(javax.xml.soap.SOAPEnvelope envelope,
                                           javax.xml.soap.SOAPBody body,
                                           java.util.ArrayList parameters,
                                           java.lang.String operation,
                                           java.lang.String targetUri,
                                           WsMethodInfo wsInfo)
                                    throws java.lang.Exception

      Create and add the soap body elements to the soap body.
      Parameters:
        `envelope` - the soap envelope.
        `body` - the soap body.
        `parameters` - the operation parameters.
        `operation` - the operation name. May be null if soap action uri is used
        `targetUri` - the soap body namespace. May be null or empty.
        `wsInfo` - web service method info.
      Throws:
        `java.lang.Exception` - any error.

    - #### createHeaderElements

          public void createHeaderElements(javax.xml.soap.SOAPEnvelope envelope,
                                           java.util.ArrayList parameters,
                                           java.lang.String targetUri)
                                    throws java.lang.Exception

      Add header information to the message.
      Parameters:
        `envelope` - the SOAP envelope object
        `parameters` - the list of header parameters
        `targetUri` - the local namespace uri of ws site.
      Throws:
        `java.lang.Exception` - any error.

    - #### createBodyElements

          public void createBodyElements(javax.xml.soap.SOAPEnvelope envelope,
                                         javax.xml.soap.SOAPBody body,
                                         WsdlParamInfo parameter,
                                         java.lang.String targetUri)
                                  throws java.lang.Exception

      Create and add the soap body elements to the soap body.
      Parameters:
        `envelope` - the soap envelope
        `body` - the soap body
        `parameter` - the operation parameter
        `targetUri` - the local namespace uri of ws site.
      Throws:
        `java.lang.Exception` - any error.